package domain


type AlibabaWdkorderSharestockCpsorderListApiResult struct {
    /*
        调用接口成功失败     */
    Success  *bool `json:"success,omitempty" `

    /*
        调用接口返回错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用接口返回错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        调用接口返回对象     */
    Model  *[]AlibabaWdkorderSharestockCpsorderListCpsOrderResponse `json:"model,omitempty" `

}

func (s *AlibabaWdkorderSharestockCpsorderListApiResult) SetSuccess(v bool) *AlibabaWdkorderSharestockCpsorderListApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkorderSharestockCpsorderListApiResult) SetErrMsg(v string) *AlibabaWdkorderSharestockCpsorderListApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkorderSharestockCpsorderListApiResult) SetErrCode(v string) *AlibabaWdkorderSharestockCpsorderListApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockCpsorderListApiResult) SetModel(v []AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) *AlibabaWdkorderSharestockCpsorderListApiResult {
    s.Model = &v
    return s
}
